Redmine - Feature #5130

Configurable columns in related tasks section
2010-03-19 18:38 - Nikolay Kotlyarov

Status: New Start date: 2010-03-19
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution:

Description

Related tasks section in an issue view has predefined columns now.
There must be a way to configure which columns to display for different users.

For example, if i want to see "assigned_to" and "category" fields of related issues,
i must use a workaround like editing "app\views\issues\_relations.rhtml":

<td><%= relation.other_issue (@issue) .category %$></td>
<td><%=h relation.other_issue (@issue) .subject %></td>
<td><%= relation.other_issue (@issue) .assigned_to %></td>
<td><%= relation.other_ issue (@issue) .status.name %></td>

Implementation

e |t would be nice to have an "options" in the related issues section of an issue,
which should be similar to "Options" in "Issues" tab view.

With that you can configure which columns to display(including custom fields) and the order of the columns.

¢ Also there must be a way to configure the defaults for this view somewhere in "Administration".

Related issues:
Related to Redmine - Feature #11969: Subtask display fields

New

History

#1 - 2010-03-20 13:50 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-03-03 13:28 - Deon Joubert

I love it. It allowed me to "hack" our instance of Redmine to give us the related issue's category in stead of its project.

#3 - 2018-08-26 21:11 - Marius BALTEANU
- Related to Feature #11969: Subtask display fields added

#4 - 2024-12-05 10:55 - Marco Shima
